> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Follows

> Follows 엔드포인트를 사용하면 사용자를 팔로우 및 언팔로우하고, 팔로워와 팔로잉 목록을 조회할 수 있습니다. Follows를 다루는 X API v2 standard 티어 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Follows 엔드포인트를 사용하면 사용자를 팔로우 및 언팔로우하고, 임의의 사용자에 대한 팔로워 및 팔로잉 목록을 조회할 수 있습니다.

## 개요

<CardGroup cols={2}>
  <Card title="팔로우" icon="user-plus">
    인증된 사용자를 대신하여 사용자 팔로우
  </Card>

  <Card title="언팔로우" icon="user-minus">
    사용자 언팔로우
  </Card>

  <Card title="팔로워" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-people.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=9d5f3f82edcd2a4070364193436e7980" width="24" height="24" data-path="icons/xds/icon-people.svg">
    사용자의 팔로워 가져오기
  </Card>

  <Card title="팔로잉" icon="user-group">
    사용자가 팔로우하는 계정 가져오기
  </Card>
</CardGroup>

***

## 엔드포인트

### Follows lookup

| Method | Endpoint                                               | Description        |
| :----- | :----------------------------------------------------- | :----------------- |
| GET    | [`/2/users/:id/followers`](/x-api/users/get-followers) | 사용자의 팔로워 가져오기      |
| GET    | [`/2/users/:id/following`](/x-api/users/get-following) | 사용자가 팔로우하는 계정 가져오기 |

### Manage follows

| Method | Endpoint                                                                           | Description |
| :----- | :--------------------------------------------------------------------------------- | :---------- |
| POST   | [`/2/users/:id/following`](/x-api/users/follow-user)                               | 사용자 팔로우     |
| DELETE | [`/2/users/:source_user_id/following/:target_user_id`](/x-api/users/unfollow-user) | 사용자 언팔로우    |

***

## 예시: 팔로워 가져오기

```bash theme={null}
curl "https://api.x.com/2/users/2244994945/followers?\
user.fields=username,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

## 예시: 사용자 팔로우하기

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/following" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "2244994945"}'
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * App의 [key와 token](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="퀵스타트" icon="https://mintcdn.com/x-preview/oR-aRNyj1BKPJtxM/icons/xds/icon-rocket.svg?fit=max&auto=format&n=oR-aRNyj1BKPJtxM&q=85&s=b978d7a9225de31709efbbed5b84e92d" href="/x-api/users/follows/quickstart" width="24" height="24" data-path="icons/xds/icon-rocket.svg">
    Follows 시작하기
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/users/get-followers" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>

  <Card title="예제 코드" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    동작하는 코드 예제
  </Card>
</CardGroup>
